<app-navbar></app-navbar>
<div class="container">
    <div class="row pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <div id="crumbs">
                <!-- <ul class="page-url">
                    <li><a>High-Tech  </a></li>
                    <li><a>TV, vidéo et home cinéma </a></li>
                    <li><a>Téléviseurs</a></li>
                </ul> -->
            </div>
            <div class="">
                <div class="row pt-20">

                    <div *ngFor="let product of tProducts; let index = index" class="col-md-3">
                        <div   >
                            <div>
                                <div class="product-grid">
                                    <!-- <div >
                                        {{ ( calcDateDiff(product.auction_end_date) | json )}}
                                    </div>
                                    <div *ngIf="calcDateDiff(product.auction_end_date) as variable">
                                        <span>{{variable.daysToDday}}</span>
                                        <span>{{variable.hoursToDday}}</span>
                                        <span>{{variable.minutesToDday}}</span>
                                        <span>{{variable.secondsToDday}}</span>
                                    </div> -->
                                    
    
    
                                    <div class="product-image">
    
    
                                        <div *ngIf="product.images.length != 0;else other_content">
                                            <a routerLink="/view-product/{{product._id}}" target="">
                                                <img class="pic-1" src="{{baseurl}}static/public/{{product.images[0]}}">
                                                <div class="info1 py-2 px-2">
                                                    <div class="">
                                                        <div class="col-lg-12 col-md-12 col-sm-12 col-12 text-right p-0 w-100">
                                                            <button class="btn btn-auction">Encan</button>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="info py-2 px-2">
                                                    <div class="row px-3">
                                                        <div class="p-0">
                                                            <table class="tbl-p">
                                                                <tbody>
                                                                    <tr>
                                                                        <td colspan="4">Cette offre prend fin</td>
                                                                    </tr>
                                                                    <!-- <tr>
                                                                        date: {{getcount(product.auction_start_date,product.auction_end_date)}}
                                                                        <td>{{product.auction_start_date |date:'M/d/yy, h:mm a'}}</td>
                                                                    </tr>
                                                                    <tr>
                                                                        <td>{{product.auction_end_date |date:'M/d/yy, h:mm a'}}</td>
                                                                    </tr> -->
            
            <tr *ngIf="calcDateDiff(product.auction_end_date) as variable">
                <td style="width:25%;">
                    <div class="time-s"></div>
                    {{variable.daysToDday}} J
                </td>
                <td style="width:25%;">
                    <div class="time-s"></div>
                    {{variable.hoursToDday}} H
                </td>
                <td style="width:25%;">
                    <div class="time-s"></div>
                    {{variable.minutesToDday}} M
                </td>
                <td style="width:25%;">
                    <div class="time-s"></div>
                    {{variable.secondsToDday}} S
                </td>
            </tr>
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </a>
                                        </div>
                                        <ng-template #other_content>
                                            <img class="pic-1" src="./assets/build/img/nopro2.png">
                                        </ng-template>
                                    </div>
    
                                    <div class="product-content">
                                        <h3 class="title"><a>{{product.title}}</a></h3>
                                       
                                        <div class="ra-ting-spn" style="cursor: not-allowed !important;position: relative;
                                           z-index: 1;">
                                            <ngb-rating [max]=5 [(rate)]="product.avgRating"></ngb-rating>
                                            <span class="value" *ngIf="product.reviews">({{product.reviews.length}}) </span>
                                        </div>
    
    
                                        <div class="price">
                                            {{product.auction_price}} CFA
                                            
    
    
                                        </div>
                                        <div *ngIf="product.is_auction == true" >
                                            <ng-container *ngIf="product.auctionAmount.length > 0">
                                                <p class="text-left">
                                                    <span class="spn-lb">Votre offre
                                                    : CFA
                                                    {{product.auctionAmount[0].bid_amount}}</span>
                                                </p>
                                            </ng-container>

                                            <ng-container *ngIf="product.auctionBidLatest.length > 0">
                                                <p class="text-left">
                                                    <span class="spn-lb">Nouvelle offre
                                                    : CFA
                                                    {{product.auctionBidLatest[0].bid_amount}}</span>
                                                </p>
                                            </ng-container>

                                            <a *ngIf="product.is_auction == true" class="btn btn-gbid w-100" routerLink="/view-product/{{product._id}}" ><i class="fa-solid fa-gavel"></i> Enchérir Maintenant</a>
                                        </div>
                                        
                                    </div>
                                </div>
                            </div>
                        </div>
    
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>
<app-footer></app-footer>